#!/bin/bash

MODEL_URL="https://taco-public-1251001002.cos.ap-shanghai.myqcloud.com/models/Qwen2.5-VL-7B-Instruct/Qwen2.5-VL-7B-Instruct.tar.gz"
if [ -f "/cfs/models/Qwen2.5-VL-7B-Instruct/config.json" ]; then
	echo "The model has been already downloaded for fine-tuning."
else
	mkdir -p /cfs/models/
	pushd /cfs/models/
	curl $MODEL_URL -o Qwen2.5-VL-7B-Instruct.tar.gz 
	tar xvf Qwen2.5-VL-7B-Instruct.tar.gz && rm -f Qwen2.5-VL-7B-Instruct.tar.gz
	popd
fi
